PT AMARTHA MICRO FINTEK BUGS - Bug #434

[MOBILE][ESS - LEAVE] pengajuan cuti quota nya 0 namun sudah di isikan quota 12 pada master
time data leave

07/26/2021 11:32 AM - Muhammad Bintar

Status: Closed Start date: 07/26/2021
Priority: Urgent Due date: 07/28/2021
Assignee: Saswanto Tampan % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour

Description

Dear tim developer, mohon support nya untuk perbaikan pada ESS Leave di mobile dimana pada saat mengajukan ess leave, quota
yang available dihitung 0 dan remaining quota 0 padahal isi nya quota sudah terisi 12 pada master data time data.

sample employee 00000363

pada time data absence quota sudah diisi quota 12

bintar ™~
S
. Employee Overview - 00000363 - Muhammad Magus Sudana - &
Employee ID: 00000363 Company ID: PT. Amartha Mikro Fintek
Full Name: Muhammad Magus Sudana Employee Office: Banyuwangi-AM
Employee Status: Active Organization: Area Banyuwangi
Employee Type: Permanent Position: Area Manager
' Master Data 4 Absence Quota - 00000363 - Muhammad Magus Sudana
t
Overtime - Action w Clear Filters
Absence Quota (V]
Sio-t My i Eod Do Al Dot = T Shopt Do dio Eod Doduction Origie -l Mt Doo oieie o Mot ]
Absence ]
01/01/2021 31/03/2022  Annual Leave 12 01/01/2021 31/03/2022 12 12
Attendance ]
0170172021 3170372022 Permission 0170772021 3170372022 3 3
Work Schedule ]
01/01/2020  31/12/2020  Annual Leave 12 01/01/2020 31/03/2021 12 2 K
Personal Work Sche... a
07/10/2019  31/12/2019  Annual Leave 12 07/10/2019 31/03/2020 12 1
L4
Absence Type: Cuti Tahunan - Notes:
start Date: 28/07/2021 i

Delegate To: x Q

Full Name:

Total Absence Taken: 3

Original Quota: 12

Quota Taken: 3

Remaining Quota: 12

Total Remaining

Quota: 9
History

#1 - 07/26/2021 12:52 PM - Kezia Pawitra Yulianti

- Status changed from New to Assigned

07/05/2025

2/4




- Assignee changed from Saswanto Tampan to Alip Sudin

#2 - 07/26/2021 12:53 PM - Kezia Pawitra Yulianti

- Assignee changed from Alip Sudin to Saswanto Tampan

#3 - 08/03/2021 03:21 PM - Muhammad Bintar

- Status changed from Assigned to Developing

ikuti step nya
setelah semua selesai pastikan meminta update APl MOBILE beda juga client beda API

features hide and show origin and remaining value dinamis by setup table
features limit attachment include popup and button remaining dinamis by setup table

STEP 1
ALTER TABLE SMENUMOBILE ADD MaxAttachmentKb varchar(100) DEFAULT '0'

STEP 2

UPDATE SMENUMOBILE SET MaxAttachmentKb ='500'
-satuan ukuran dalam KB = 500 KB

-formay file yang didukung jpg/pdf

STEP 3
ALTER TABLE PHRTMABSTYP ADD OriginalQuotaVisible varchar(2) DEFAULT '1',RemainQuotaVisible varchar(2) DEFAULT '1'

STEP 4

UPDATE PHRTMABSTYP SET OriginalQuotaVisible ='1' ,RemainQuotaVisible='1"
Nilai 1 = visible

Nilai 0 = Hide

STEP 5

CREATE PROCEDURE [api].[GetDataGetAbsenType] --@Email VARCHAR
@EmployeelD VARCHAR=",

@StartDeduction VARCHAR=",

@EndDeduction VARCHAR=",

@Menuld VARCHAR="

AS

BEGIN

-- SET NOCOUNT ON added to prevent extra result sets from

-- interfering with SELECT statements.

SET NOCOUNT ON;

SELECT tabsence.AbsenceType ,
tabsence.AbsenceTypeDesc ,
tquota.AbsenceQuotaType ,
tabsence.QuotaDeduction ,
tabsence.OriginalQuotaVisible ,
tabsence.RemainQuotaVisible

INTO #final

FROM dbo .PHRTMABSTYP AS tabsence

LEFT JOIN dbo.PHRTMQUOTYP AS tquota ON tquota.AbsenceQuotaType = tabsence.AbsenceQuotaType

WHERE tabsence.QuotaDeduction = 'N'

UNION

SELECT tabsence.AbsenceType ,
tabsence.AbsenceTypeDesc ,
tquota.AbsenceQuotaType ,
tabsence.QuotaDeduction ,
tabsence.OriginalQuotaVisible ,
tabsence.RemainQuotaVisible

FROM dbo .PHRTMABSTYP AS tabsence

LEFT JOIN dbo.PHRTMQUOTYP AS tquota ON tquota.AbsenceQuotaType = tabsence.AbsenceQuotaType

RIGHT JOIN dbo.PHRPAO017 AS mdl7 ON mdl7.AbsenceQuotaType = tabsence.AbsenceQuotaType
AND mdl7.EmployeeID = @EmployeelD
AND mdl7.StartDeduction <= @StartDeduction
AND mdl7.EndDeduction >= @EndDeduction
WHERE tabsence.QuotaDeduction = 'Y'
UNION
SELECT AbsenceType ,
AbsenceTypeDesc ,
AbsenceQuotaType ,
QuotaDeduction ,
OriginalQuotaVisible ,
RemainQuotaVisible

FROM dbo .PHRTMABSTYP
WHERE AbsenceType IN ( SELECT Valuel
FROM dbo .PCMEPGENPARAM
WHERE Parameter = 'ESSABSTYP' )

SELECT *,CONVERT AS MaxAttachmentKb INTO #beginer FROM #final

IF @Menuld ="

BEGIN

UPDATE #beginer SET MaxAttachmentKb =a.MaxAttachmentKb from(
SELECT TOP (1) MaxAttachmentkKb FROM SMENUMOBILE )a

end

IF @Menuld <> "

begin

UPDATE #beginer SET MaxAttachmentKb =a.MaxAttachmentKb from(

SELECT MaxAttachmentkb FROM SMENUMOBILE WHERE Menuld='LEAVE')a
end

SELECT * FROM #beginer
DROP TABLE #beginer
DROP TABLE #final

END;

#4 - 08/03/2021 03:22 PM - Muhammad Bintar
- File bdc330c2-184e-4bb3-8145-cf7aeb77db11.jpg added
- Status changed from Developing to QA Test

sudah diupdate dan sudah tampil indikator cuti nya

#5 - 08/03/2021 03:22 PM - Muhammad Bintar
- Status changed from QA Test to Deploy

#6 - 08/03/2021 03:22 PM - Muhammad Bintar
- Status changed from Deploy to Closed
